//---------------------------------------------------------------------------

#ifndef Unit1H
#define Unit1H
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
//---------------------------------------------------------------------------
typedef long __stdcall MEncryptPDF(long id,char *infile,char *outfile,char *userpassword,char *ownerpassword,
									long encryptlevel,long printing,long copying,long changing);
typedef long __stdcall MBegin();
typedef long __stdcall MEnd(long id);
typedef long __stdcall MInformation(long id,char *title,char *subject,char *author,
									char *keywords,char *creator,char *producer);

typedef long __stdcall MWatermark(long id,char *text,long fsize,long fcolor,
									 long position,long angle,long xoff,long yoff,long asbackground);
//---------------------------------------------------------------------------
class TForm1 : public TForm
{
__published:	// IDE-managed Components
    TButton *Button1;
    void __fastcall Button1Click(TObject *Sender);
private:	// User declarations
	HMODULE			m_hinstLib;
	MEncryptPDF		*pMEncryptPDF;
 	MBegin			*pMBegin;
	MInformation	*pMInformation;
	MWatermark		*pMWatermark;
	MEnd			*pMEnd;
    	
private:
	BOOL LoadEncryptDll();
	BOOL FreeEncryptDll();
    
public:		// User declarations
    __fastcall TForm1(TComponent* Owner);
};
//---------------------------------------------------------------------------
extern PACKAGE TForm1 *Form1;
//---------------------------------------------------------------------------
#endif
